### Struct

# WebKit Credential

#### Description [src]

    struct WebKitCredential {
      /* No available fields */
    }

Groups information used for user authentication.

Available since: | 2.2

#### Constructors

###### webkit_credential_new

Create a new credential from the provided username, password and persistence mode.

Available since: 2.2

###### webkit_credential_new_for_certificate

Create a new credential from the `certificate` and persistence mode.

Available since: 2.34

###### webkit_credential_new_for_certificate_pin

Create a new credential from the provided PIN and persistence mode.

Available since: 2.34

#### Instance methods

###### webkit_credential_copy

Make a copy of the `WebKitCredential`.

Available since: 2.2

###### webkit_credential_free

Free the `WebKitCredential`.

Available since: 2.2

###### webkit_credential_get_certificate

Get the certificate currently held by this `WebKitCredential`.

Available since: 2.34

###### webkit_credential_get_password

Get the password currently held by this `WebKitCredential`.

Available since: 2.2

###### webkit_credential_get_persistence

Get the persistence mode currently held by this `WebKitCredential`.

Available since: 2.2

###### webkit_credential_get_username

Get the username currently held by this `WebKitCredential`.

Available since: 2.2

###### webkit_credential_has_password

Determine whether this credential has a password stored.

Available since: 2.2